## org.metaabm.ide
Class DisplayAction

    java.lang.Object
      org.metaabm.ide.DisplayAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IEditorActionDelegate

Direct Known Subclasses:
  DisplayButtonAction

    public abstract class DisplayAction

extends java.lang.Object
implements org.eclipse.ui.IEditorActionDelegate

Support for AMF editor specific customization actions.

Author:
  milesparker

Constructor Summary
`DisplayAction()`

Method Summary
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActiveEditor(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart targetEditor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run`

Constructor Detail

### DisplayAction

    public DisplayAction()

Method Detail

### setActiveEditor

    public void setActiveEditor(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart targetEditor)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`